SCONSIGN(1)

NAME
sconsign - print SCons signature file information

SYNOPSIS

sconsign [options...] [file...]

DESCRIPTION

The sconsign command displays the contents of one or more signature ("sconsign") files specified by the user.

By default, sconsign dumps the entire contents of the specified file(s). Without the verbose option, each entry is printed in the following format:

    file: signature timestamp length
            implicit_dependency_1: signature timestamp length
            implicit_dependency_2: signature timestamp length
            ...
            action_signature [action string]

None is printed in place of any missing timestamp, build signature ("bsig"), or content signature ("csig") values for any entry or any of its dependencies. If the entry has no implicit dependencies, or no build action, the lines are simply omitted. The verbose option expands the display into a more human readable format.

By default, sconsign assumes that any file arguments that end with a .dbm suffix contains signature entries for more than one directory (that is, was specified by the SConsignFile function). Any file argument that ends in .dblite is assumed to be a traditional .sconsign file containing the signature entries for a single directory. If neither of those is true, sconsign attempts to guess the format. If that does not work, an explicit format may be specified using the -f or --format= options.

If there are no file arguments, the name .sconsign.dblite is assumed.

OPTIONS

Various options control what information is printed and the format:

-a, --act, --action
    Prints the build action information for all entries or the specified entries.

-c, --csig
    Prints the content signature (csig) information for all entries or the specified entries.

-d DIRECTORY, --dir=DIRECTORY
    When the signatures are being read from a .dbm file, or the -f dbm or --format=dbm options are used, prints information about only the signatures for entries in the specified DIRECTORY.

-e ENTRY, --entry=ENTRY
    Prints information about only the specified ENTRY. Multiple -e options may be used, in which case information about each ENTRY is printed in the order in which the options are specified on the command line.

-f FORMAT, --format=FORMAT
    The file(s) to be printed are in the specified FORMAT. Legal values are dbm (the DBM format used when the SConsignFile function is used) or sconsign (the default format used for an individual .sconsign file in each directory).

-h, --help
    Prints a help message and exits.

-i, --implicit
    Prints the list of cached implicit dependencies for all entries or for the specified entries.

--raw
    Prints a pretty-printed representation of the raw Python dictionary that holds build information about individual entries (both the entry itself and its implicit dependencies). An entry's build action is still printed in its usual format.

-r, --readable
    Prints timestamps in a human-readable string, enclosed in single quotes.

-t, --timestamp
    Prints the timestamp information for all entries or the specified entries.

-v, --verbose
    Prints labels identifying each field being printed.

ENVIRONMENT

SCONS_LIB_DIR
    Specifies the directory that contains the SCons Python module directory (e.g. /home/aroach/scons-src-0.01/src/engine). on the command line.

SEE ALSO

scons, scons User Manual, scons Design Document, scons source code.

AUTHORS

Steven Knight <knight at baldmt dot com>